Generate signer message
curl --request GET \
--url https://sg.sandbox.api.reap.global/accounts/auth-message \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/accounts/auth-message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/accounts/auth-message"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"message": "<string>",
"timestamp": "<string>",
"expiresAt": "<string>"
}Accounts
Generate signer message
Generates a time-limited authentication message that must be signed by the end-user’s wallet to prove key ownership. The signed message is required when creating an account (POST /accounts). Messages expire after 15 minutes.
GET
/
accounts
/
auth-message
Generate signer message
curl --request GET \
--url https://sg.sandbox.api.reap.global/accounts/auth-message \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/accounts/auth-message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/accounts/auth-message"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"message": "<string>",
"timestamp": "<string>",
"expiresAt": "<string>"
}Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
Available options:
2025-02-14 Example:
"2025-02-14"